Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GL2ES1

All Superinterfaces:
  GL, GLBase, GLLightingFunc, GLMatrixFunc, GLPointerFunc

All Known Subinterfaces:
  GL2, GLES1

All Known Implementing Classes:
  DebugGL2, DebugGL2ES1, DebugGLES1, FixedFuncImpl, TraceGL2, TraceGL2ES1, TraceGLES1

    public interface GL2ES1

extends GLBase, GL, GLMatrixFunc, GLPointerFunc, GLLightingFunc

Interface containing the common subset of GL2 and GLES1.
This interface reflects only the fixed functionality of OpenGL

Field Summary
`static int` | `GL_3DC_X_AMD` Part of `GL_AMD_compressed_3DC_texture`
`static int` | `GL_3DC_XY_AMD` Part of `GL_AMD_compressed_3DC_texture`
`static int` | `GL_ADD` Part of `GL_VERSION_1_0`
`static int` | `GL_ADD_SIGNED` Part of `GL_VERSION_1_3`
`static int` | `GL_ALPHA_SCALE` Part of `GL_VERSION_1_0`
`static int` | `GL_ALPHA_TEST` Part of `GL_VERSION_1_0`
`static int` | `GL_ALPHA_TEST_FUNC` Part of `GL_VERSION_1_0`
`static int` | `GL_ALPHA_TEST_REF` Part of `GL_VERSION_1_0`
`static int` | `GL_ATC_RGB_AMD` Part of `GL_AMD_compressed_ATC_texture`
`static int` | `GL_ATC_RGBA_EXPLICIT_ALPHA_AMD` Part of `GL_AMD_compressed_ATC_texture`
`static int` | `GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD` Part of `GL_AMD_compressed_ATC_texture`
`static int` | `GL_CLIENT_ACTIVE_TEXTURE` Part of `GL_VERSION_1_3`
`static int` | `GL_CLIP_PLANE0` Part of `GL_VERSION_1_0`
`static int` | `GL_CLIP_PLANE1` Part of `GL_VERSION_1_0`
`static int` | `GL_CLIP_PLANE2` Part of `GL_VERSION_1_0`
`static int` | `GL_CLIP_PLANE3` Part of `GL_VERSION_1_0`
`static int` | `GL_CLIP_PLANE4` Part of `GL_VERSION_1_0`
`static int` | `GL_CLIP_PLANE5` Part of `GL_VERSION_1_0`
`static int` | `GL_COLOR_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_COLOR_ARRAY_POINTER` Part of `GL_VERSION_1_1`
`static int` | `GL_COLOR_ARRAY_SIZE` Part of `GL_VERSION_1_1`
`static int` | `GL_COLOR_ARRAY_STRIDE` Part of `GL_VERSION_1_1`
`static int` | `GL_COLOR_ARRAY_TYPE` Part of `GL_VERSION_1_1`
`static int` | `GL_COMBINE` Part of `GL_VERSION_1_3`
`static int` | `GL_COMBINE_ALPHA` Part of `GL_VERSION_1_3`
`static int` | `GL_COMBINE_RGB` Part of `GL_VERSION_1_3`
`static int` | `GL_CONSTANT` Part of `GL_VERSION_1_3`
`static int` | `GL_COORD_REPLACE` Part of `GL_VERSION_2_0, GL_OES_point_sprite`
`static int` | `GL_CURRENT_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_CURRENT_NORMAL` Part of `GL_VERSION_1_0`
`static int` | `GL_CURRENT_PALETTE_MATRIX` Part of `GL_OES_matrix_palette`
`static int` | `GL_CURRENT_TEXTURE_COORDS` Part of `GL_VERSION_1_0`
`static int` | `GL_DECAL` Part of `GL_VERSION_1_0`
`static int` | `GL_DOT3_RGB` Part of `GL_VERSION_1_3`
`static int` | `GL_DOT3_RGBA` Part of `GL_VERSION_1_3`
`static int` | `GL_EXP` Part of `GL_VERSION_1_0`
`static int` | `GL_EXP2` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG_DENSITY` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG_END` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG_HINT` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG_MODE` Part of `GL_VERSION_1_0`
`static int` | `GL_FOG_START` Part of `GL_VERSION_1_0`
`static int` | `GL_GENERATE_MIPMAP` Part of `GL_VERSION_1_4`
`static int` | `GL_INTERPOLATE` Part of `GL_VERSION_1_3`
`static int` | `GL_LIGHT_MODEL_AMBIENT` Part of `GL_VERSION_1_0`
`static int` | `GL_LIGHT_MODEL_TWO_SIDE` Part of `GL_VERSION_1_0`
`static int` | `GL_MATRIX_INDEX_ARRAY` Part of `GL_OES_matrix_palette`
`static int` | `GL_MATRIX_INDEX_ARRAY_POINTER` Part of `GL_OES_matrix_palette`
`static int` | `GL_MATRIX_INDEX_ARRAY_SIZE` Part of `GL_OES_matrix_palette`
`static int` | `GL_MATRIX_INDEX_ARRAY_STRIDE` Part of `GL_OES_matrix_palette`
`static int` | `GL_MATRIX_INDEX_ARRAY_TYPE` Part of `GL_OES_matrix_palette`
`static int` | `GL_MATRIX_PALETTE` Part of `GL_OES_matrix_palette`
`static int` | `GL_MAX_CLIP_PLANES` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_LIGHTS` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_MODELVIEW_STACK_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_PALETTE_MATRICES` Part of `GL_OES_matrix_palette`
`static int` | `GL_MAX_PROJECTION_STACK_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_TEXTURE_STACK_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_MAX_TEXTURE_UNITS` Part of `GL_VERSION_1_3`
`static int` | `GL_MAX_VERTEX_UNITS` Part of `GL_OES_matrix_palette`
`static int` | `GL_MODELVIEW_STACK_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_MODULATE` Part of `GL_VERSION_1_0`
`static int` | `GL_NORMAL_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_NORMAL_ARRAY_POINTER` Part of `GL_VERSION_1_1`
`static int` | `GL_NORMAL_ARRAY_STRIDE` Part of `GL_VERSION_1_1`
`static int` | `GL_NORMAL_ARRAY_TYPE` Part of `GL_VERSION_1_1`
`static int` | `GL_NORMAL_MAP` Part of `GL_VERSION_1_3, GL_OES_texture_cube_map`
`static int` | `GL_OPERAND0_ALPHA` Part of `GL_VERSION_1_3`
`static int` | `GL_OPERAND0_RGB` Part of `GL_VERSION_1_3`
`static int` | `GL_OPERAND1_ALPHA` Part of `GL_VERSION_1_3`
`static int` | `GL_OPERAND1_RGB` Part of `GL_VERSION_1_3`
`static int` | `GL_OPERAND2_ALPHA` Part of `GL_VERSION_1_3`
`static int` | `GL_OPERAND2_RGB` Part of `GL_VERSION_1_3`
`static int` | `GL_PALETTE4_R5_G6_B5` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE4_RGB5_A1` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE4_RGB8` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE4_RGBA4` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE4_RGBA8` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE8_R5_G6_B5` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE8_RGB5_A1` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE8_RGB8` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE8_RGBA4` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PALETTE8_RGBA8` Part of `GL_OES_compressed_paletted_texture`
`static int` | `GL_PERSPECTIVE_CORRECTION_HINT` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_DISTANCE_ATTENUATION` Part of `GL_VERSION_1_4`
`static int` | `GL_POINT_SIZE_MAX` Part of `GL_VERSION_1_4`
`static int` | `GL_POINT_SIZE_MIN` Part of `GL_VERSION_1_4`
`static int` | `GL_POINT_SMOOTH` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_SMOOTH_HINT` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_SPRITE` Part of `GL_VERSION_2_0, GL_OES_point_sprite`
`static int` | `GL_PREVIOUS` Part of `GL_VERSION_1_3`
`static int` | `GL_PRIMARY_COLOR` Part of `GL_VERSION_1_3`
`static int` | `GL_PROJECTION_STACK_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_REFLECTION_MAP` Part of `GL_VERSION_1_3, GL_OES_texture_cube_map`
`static int` | `GL_RESCALE_NORMAL` Part of `GL_VERSION_1_2`
`static int` | `GL_RGB_SCALE` Part of `GL_VERSION_1_3`
`static int` | `GL_SHADE_MODEL` Part of `GL_VERSION_1_0`
`static int` | `GL_SRC0_ALPHA` Part of `GL_VERSION_1_5`
`static int` | `GL_SRC0_RGB` Part of `GL_VERSION_1_5`
`static int` | `GL_SRC1_ALPHA` Part of `GL_VERSION_1_5`
`static int` | `GL_SRC1_RGB` Part of `GL_VERSION_1_5`
`static int` | `GL_SRC2_ALPHA` Part of `GL_VERSION_1_5`
`static int` | `GL_SRC2_RGB` Part of `GL_VERSION_1_5`
`static int` | `GL_STACK_OVERFLOW` Part of `GL_VERSION_1_0`
`static int` | `GL_STACK_UNDERFLOW` Part of `GL_VERSION_1_0`
`static int` | `GL_SUBTRACT` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_TEXTURE_COORD_ARRAY_POINTER` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_COORD_ARRAY_SIZE` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_COORD_ARRAY_STRIDE` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_COORD_ARRAY_TYPE` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_ENV` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_ENV_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_ENV_MODE` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_GEN_MODE` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`static int` | `GL_TEXTURE_GEN_STR` Part of `GL_OES_texture_cube_map`
`static int` | `GL_TEXTURE_STACK_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_VERTEX_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`
`static int` | `GL_VERTEX_ARRAY_POINTER` Part of `GL_VERSION_1_1`
`static int` | `GL_VERTEX_ARRAY_SIZE` Part of `GL_VERSION_1_1`
`static int` | `GL_VERTEX_ARRAY_STRIDE` Part of `GL_VERSION_1_1`
`static int` | `GL_VERTEX_ARRAY_TYPE` Part of `GL_VERSION_1_1`
`static int` | `GL_WEIGHT_ARRAY` Part of `GL_OES_matrix_palette`
`static int` | `GL_WEIGHT_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5, GL_OES_matrix_palette`
`static int` | `GL_WEIGHT_ARRAY_POINTER` Part of `GL_OES_matrix_palette`
`static int` | `GL_WEIGHT_ARRAY_SIZE` Part of `GL_OES_matrix_palette`
`static int` | `GL_WEIGHT_ARRAY_STRIDE` Part of `GL_OES_matrix_palette`
`static int` | `GL_WEIGHT_ARRAY_TYPE` Part of `GL_OES_matrix_palette`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc
`GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc
`GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

Method Summary
`void` | `glAlphaFunc(int func, float ref)` Interface to C language function: `void glAlphaFunc(GLenum func, GLclampf ref);`
`void` | `glClientActiveTexture(int texture)` Interface to C language function: `void glClientActiveTexture(GLenum texture);`
`void` | `glColor4ub(byte red, byte green, byte blue, byte alpha)` Interface to C language function: `void glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);`
`void` | `glCurrentPaletteMatrix(int matrixpaletteindex)` Entry point to C language function: `void glCurrentPaletteMatrixOES(GLuint matrixpaletteindex);` Part of `GL_OES_matrix_palette`
`void` | `glFogf(int pname, float param)` Interface to C language function: `void glFogf(GLenum pname, GLfloat param);`
`void` | `glFogfv(int pname, float[] params, int params_offset)` Interface to C language function: `void glFogfv(GLenum pname, const GLfloat * params);`
`void` | `glFogfv(int pname, FloatBuffer params)` Interface to C language function: `void glFogfv(GLenum pname, const GLfloat * params);`
`void` | `glFrustum(double left, double right, double bottom, double top, double zNear, double zFar)`
`void` | `glGetLightfv(int light, int pname, float[] params, int params_offset)` Interface to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`
`void` | `glGetLightfv(int light, int pname, FloatBuffer params)` Interface to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`
`void` | `glGetMaterialfv(int face, int pname, float[] params, int params_offset)` Interface to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`
`void` | `glGetMaterialfv(int face, int pname, FloatBuffer params)` Interface to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`
`void` | `glGetTexEnvfv(int tenv, int pname, float[] params, int params_offset)` Interface to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`
`void` | `glGetTexEnvfv(int tenv, int pname, FloatBuffer params)` Interface to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`
`void` | `glGetTexEnviv(int tenv, int pname, int[] params, int params_offset)` Interface to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`
`void` | `glGetTexEnviv(int tenv, int pname, IntBuffer params)` Interface to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`
`void` | `glGetTexGenfv(int coord, int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGenfv(int coord, int pname, FloatBuffer params)` Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGeniv(int coord, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glGetTexGeniv(int coord, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glLightf(int light, int pname, float param)` Interface to C language function: `void glLightf(GLenum light, GLenum pname, GLfloat param);`
`void` | `glLightModelf(int pname, float param)` Interface to C language function: `void glLightModelf(GLenum pname, GLfloat param);`
`void` | `glLightModelfv(int pname, float[] params, int params_offset)` Interface to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params);`
`void` | `glLightModelfv(int pname, FloatBuffer params)` Interface to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params);`
`void` | `glLogicOp(int opcode)` Interface to C language function: `void glLogicOp(GLenum opcode);`
`void` | `glMatrixIndexPointer(int size, int type, int stride, Buffer pointer)` Entry point to C language function: `void glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_OES_matrix_palette`
`void` | `glMultiTexCoord4f(int target, float s, float t, float r, float q)` Interface to C language function: `void glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);`
`void` | `glNormal3f(float nx, float ny, float nz)` Interface to C language function: `void glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz);`
`void` | `glOrtho(double left, double right, double bottom, double top, double near_val, double far_val)`
`void` | `glPointParameterf(int pname, float param)` Interface to C language function: `void glPointParameterf(GLenum pname, GLfloat param);`
`void` | `glPointParameterfv(int pname, float[] params, int params_offset)` Interface to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params);`
`void` | `glPointParameterfv(int pname, FloatBuffer params)` Interface to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params);`
`void` | `glPointSize(float size)` Interface to C language function: `void glPointSize(GLfloat size);`
`void` | `glTexEnvf(int target, int pname, float param)` Interface to C language function: `void glTexEnvf(GLenum target, GLenum pname, GLfloat param);`
`void` | `glTexEnvfv(int target, int pname, float[] params, int params_offset)` Interface to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexEnvfv(int target, int pname, FloatBuffer params)` Interface to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexEnvi(int target, int pname, int param)` Interface to C language function: `void glTexEnvi(GLenum target, GLenum pname, GLint param);`
`void` | `glTexEnviv(int target, int pname, int[] params, int params_offset)` Interface to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexEnviv(int target, int pname, IntBuffer params)` Interface to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexGenf(int coord, int pname, float param)` Entry point to C language function: `void glTexGenfOES(GLenum coord, GLenum pname, GLfloat param);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGenfv(int coord, int pname, float[] params, int params_offset)` Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGenfv(int coord, int pname, FloatBuffer params)` Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGeni(int coord, int pname, int param)` Entry point to C language function: `void glTexGeniOES(GLenum coord, GLenum pname, GLint param);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGeniv(int coord, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glTexGeniv(int coord, int pname, IntBuffer params)` Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);` Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`
`void` | `glWeightPointer(int size, int type, int stride, Buffer pointer)` Entry point to C language function: `void glWeightPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_OES_matrix_palette`

Methods inherited from interface javax.media.opengl.GL
`glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepth, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRange, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glDrawElements, glEnable, glFinish, glFlush, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBoundBuffer, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetIntegerv, glGetIntegerv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glIsVBOArrayEnabled, glIsVBOElementEnabled, glLineWidth, glMapBuffer, glPixelStorei, glPolygonOffset, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexSubImage2D, glTexSubImage2D, glUnmapBuffer, glViewport`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Methods inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc
`glFrustumf, glGetFloatv, glGetFloatv, glGetIntegerv, glGetIntegerv, glLoadIdentity, glLoadMatrixf, glLoadMatrixf, glMatrixMode, glMultMatrixf, glMultMatrixf, glOrthof, glPopMatrix, glPushMatrix, glRotatef, glScalef, glTranslatef`

Methods inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc
`glColor4f, glColorPointer, glColorPointer, glColorPointer, glDisableClientState, glEnableClientState, glNormalPointer, glNormalPointer, glNormalPointer, glTexCoordPointer, glTexCoordPointer, glTexCoordPointer, glVertexPointer, glVertexPointer, glVertexPointer`

Methods inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc
`glColor4f, glLightfv, glLightfv, glMaterialf, glMaterialfv, glMaterialfv, glShadeModel`

Field Detail

### GL_CLIP_PLANE0

    static final int GL_CLIP_PLANE0

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CLIP_PLANE1

    static final int GL_CLIP_PLANE1

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CLIP_PLANE2

    static final int GL_CLIP_PLANE2

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CLIP_PLANE3

    static final int GL_CLIP_PLANE3

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CLIP_PLANE4

    static final int GL_CLIP_PLANE4

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CLIP_PLANE5

    static final int GL_CLIP_PLANE5

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG

    static final int GL_FOG

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ALPHA_TEST

    static final int GL_ALPHA_TEST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINT_SMOOTH

    static final int GL_POINT_SMOOTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RESCALE_NORMAL

    static final int GL_RESCALE_NORMAL

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_STACK_OVERFLOW

    static final int GL_STACK_OVERFLOW

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STACK_UNDERFLOW

    static final int GL_STACK_UNDERFLOW

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_EXP

    static final int GL_EXP

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_EXP2

    static final int GL_EXP2

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG_DENSITY

    static final int GL_FOG_DENSITY

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG_START

    static final int GL_FOG_START

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG_END

    static final int GL_FOG_END

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG_MODE

    static final int GL_FOG_MODE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG_COLOR

    static final int GL_FOG_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CURRENT_COLOR

    static final int GL_CURRENT_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CURRENT_NORMAL

    static final int GL_CURRENT_NORMAL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_CURRENT_TEXTURE_COORDS

    static final int GL_CURRENT_TEXTURE_COORDS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_MIN

    static final int GL_POINT_SIZE_MIN

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_MAX

    static final int GL_POINT_SIZE_MAX

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_POINT_DISTANCE_ATTENUATION

    static final int GL_POINT_DISTANCE_ATTENUATION

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_SHADE_MODEL

    static final int GL_SHADE_MODEL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MODELVIEW_STACK_DEPTH

    static final int GL_MODELVIEW_STACK_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PROJECTION_STACK_DEPTH

    static final int GL_PROJECTION_STACK_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_STACK_DEPTH

    static final int GL_TEXTURE_STACK_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ALPHA_TEST_FUNC

    static final int GL_ALPHA_TEST_FUNC

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ALPHA_TEST_REF

    static final int GL_ALPHA_TEST_REF

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_LIGHTS

    static final int GL_MAX_LIGHTS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_CLIP_PLANES

    static final int GL_MAX_CLIP_PLANES

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_MODELVIEW_STACK_DEPTH

    static final int GL_MAX_MODELVIEW_STACK_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_PROJECTION_STACK_DEPTH

    static final int GL_MAX_PROJECTION_STACK_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_STACK_DEPTH

    static final int GL_MAX_TEXTURE_STACK_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_UNITS

    static final int GL_MAX_TEXTURE_UNITS

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_SIZE

    static final int GL_VERTEX_ARRAY_SIZE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_TYPE

    static final int GL_VERTEX_ARRAY_TYPE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_STRIDE

    static final int GL_VERTEX_ARRAY_STRIDE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_NORMAL_ARRAY_TYPE

    static final int GL_NORMAL_ARRAY_TYPE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_NORMAL_ARRAY_STRIDE

    static final int GL_NORMAL_ARRAY_STRIDE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_COLOR_ARRAY_SIZE

    static final int GL_COLOR_ARRAY_SIZE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_COLOR_ARRAY_TYPE

    static final int GL_COLOR_ARRAY_TYPE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_COLOR_ARRAY_STRIDE

    static final int GL_COLOR_ARRAY_STRIDE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_TEXTURE_COORD_ARRAY_SIZE

    static final int GL_TEXTURE_COORD_ARRAY_SIZE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_TEXTURE_COORD_ARRAY_TYPE

    static final int GL_TEXTURE_COORD_ARRAY_TYPE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_TEXTURE_COORD_ARRAY_STRIDE

    static final int GL_TEXTURE_COORD_ARRAY_STRIDE

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_POINTER

    static final int GL_VERTEX_ARRAY_POINTER

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_NORMAL_ARRAY_POINTER

    static final int GL_NORMAL_ARRAY_POINTER

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_COLOR_ARRAY_POINTER

    static final int GL_COLOR_ARRAY_POINTER

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_TEXTURE_COORD_ARRAY_POINTER

    static final int GL_TEXTURE_COORD_ARRAY_POINTER

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_PERSPECTIVE_CORRECTION_HINT

    static final int GL_PERSPECTIVE_CORRECTION_HINT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINT_SMOOTH_HINT

    static final int GL_POINT_SMOOTH_HINT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FOG_HINT

    static final int GL_FOG_HINT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LIGHT_MODEL_AMBIENT

    static final int GL_LIGHT_MODEL_AMBIENT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LIGHT_MODEL_TWO_SIDE

    static final int GL_LIGHT_MODEL_TWO_SIDE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_MODULATE

    static final int GL_MODULATE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DECAL

    static final int GL_DECAL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_ADD

    static final int GL_ADD

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_ENV_MODE

    static final int GL_TEXTURE_ENV_MODE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_ENV_COLOR

    static final int GL_TEXTURE_ENV_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_ENV

    static final int GL_TEXTURE_ENV

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_GENERATE_MIPMAP

    static final int GL_GENERATE_MIPMAP

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_CLIENT_ACTIVE_TEXTURE

    static final int GL_CLIENT_ACTIVE_TEXTURE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_BUFFER_BINDING

    static final int GL_VERTEX_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_NORMAL_ARRAY_BUFFER_BINDING

    static final int GL_NORMAL_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_COLOR_ARRAY_BUFFER_BINDING

    static final int GL_COLOR_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING

    static final int GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SUBTRACT

    static final int GL_SUBTRACT

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_COMBINE

    static final int GL_COMBINE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_COMBINE_RGB

    static final int GL_COMBINE_RGB

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_COMBINE_ALPHA

    static final int GL_COMBINE_ALPHA

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_RGB_SCALE

    static final int GL_RGB_SCALE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_ADD_SIGNED

    static final int GL_ADD_SIGNED

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_INTERPOLATE

    static final int GL_INTERPOLATE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_CONSTANT

    static final int GL_CONSTANT

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_PRIMARY_COLOR

    static final int GL_PRIMARY_COLOR

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_PREVIOUS

    static final int GL_PREVIOUS

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_OPERAND0_RGB

    static final int GL_OPERAND0_RGB

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_OPERAND1_RGB

    static final int GL_OPERAND1_RGB

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_OPERAND2_RGB

    static final int GL_OPERAND2_RGB

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_OPERAND0_ALPHA

    static final int GL_OPERAND0_ALPHA

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_OPERAND1_ALPHA

    static final int GL_OPERAND1_ALPHA

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_OPERAND2_ALPHA

    static final int GL_OPERAND2_ALPHA

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_ALPHA_SCALE

    static final int GL_ALPHA_SCALE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_SRC0_RGB

    static final int GL_SRC0_RGB

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SRC1_RGB

    static final int GL_SRC1_RGB

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SRC2_RGB

    static final int GL_SRC2_RGB

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SRC0_ALPHA

    static final int GL_SRC0_ALPHA

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SRC1_ALPHA

    static final int GL_SRC1_ALPHA

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SRC2_ALPHA

    static final int GL_SRC2_ALPHA

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_DOT3_RGB

    static final int GL_DOT3_RGB

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_DOT3_RGBA

    static final int GL_DOT3_RGBA

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_PALETTE4_RGB8

    static final int GL_PALETTE4_RGB8

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE4_RGBA8

    static final int GL_PALETTE4_RGBA8

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE4_R5_G6_B5

    static final int GL_PALETTE4_R5_G6_B5

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE4_RGBA4

    static final int GL_PALETTE4_RGBA4

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE4_RGB5_A1

    static final int GL_PALETTE4_RGB5_A1

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE8_RGB8

    static final int GL_PALETTE8_RGB8

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE8_RGBA8

    static final int GL_PALETTE8_RGBA8

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE8_R5_G6_B5

    static final int GL_PALETTE8_R5_G6_B5

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE8_RGBA4

    static final int GL_PALETTE8_RGBA4

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_PALETTE8_RGB5_A1

    static final int GL_PALETTE8_RGB5_A1

  Part of `GL_OES_compressed_paletted_texture`

  See Also:
    Constant Field Values

### GL_POINT_SPRITE

    static final int GL_POINT_SPRITE

  Part of `GL_VERSION_2_0, GL_OES_point_sprite`

  See Also:
    Constant Field Values

### GL_COORD_REPLACE

    static final int GL_COORD_REPLACE

  Part of `GL_VERSION_2_0, GL_OES_point_sprite`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNITS

    static final int GL_MAX_VERTEX_UNITS

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MAX_PALETTE_MATRICES

    static final int GL_MAX_PALETTE_MATRICES

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MATRIX_PALETTE

    static final int GL_MATRIX_PALETTE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MATRIX_INDEX_ARRAY

    static final int GL_MATRIX_INDEX_ARRAY

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY

    static final int GL_WEIGHT_ARRAY

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_CURRENT_PALETTE_MATRIX

    static final int GL_CURRENT_PALETTE_MATRIX

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MATRIX_INDEX_ARRAY_SIZE

    static final int GL_MATRIX_INDEX_ARRAY_SIZE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MATRIX_INDEX_ARRAY_TYPE

    static final int GL_MATRIX_INDEX_ARRAY_TYPE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MATRIX_INDEX_ARRAY_STRIDE

    static final int GL_MATRIX_INDEX_ARRAY_STRIDE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_MATRIX_INDEX_ARRAY_POINTER

    static final int GL_MATRIX_INDEX_ARRAY_POINTER

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY_SIZE

    static final int GL_WEIGHT_ARRAY_SIZE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY_TYPE

    static final int GL_WEIGHT_ARRAY_TYPE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY_STRIDE

    static final int GL_WEIGHT_ARRAY_STRIDE

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY_POINTER

    static final int GL_WEIGHT_ARRAY_POINTER

  Part of `GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_WEIGHT_ARRAY_BUFFER_BINDING

    static final int GL_WEIGHT_ARRAY_BUFFER_BINDING

  Part of `GL_VERSION_1_5, GL_OES_matrix_palette`

  See Also:
    Constant Field Values

### GL_NORMAL_MAP

    static final int GL_NORMAL_MAP

  Part of `GL_VERSION_1_3, GL_OES_texture_cube_map`

  See Also:
    Constant Field Values

### GL_REFLECTION_MAP

    static final int GL_REFLECTION_MAP

  Part of `GL_VERSION_1_3, GL_OES_texture_cube_map`

  See Also:
    Constant Field Values

### GL_TEXTURE_GEN_MODE

    static final int GL_TEXTURE_GEN_MODE

  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

  See Also:
    Constant Field Values

### GL_TEXTURE_GEN_STR

    static final int GL_TEXTURE_GEN_STR

  Part of `GL_OES_texture_cube_map`

  See Also:
    Constant Field Values

### GL_3DC_X_AMD

    static final int GL_3DC_X_AMD

  Part of `GL_AMD_compressed_3DC_texture`

  See Also:
    Constant Field Values

### GL_3DC_XY_AMD

    static final int GL_3DC_XY_AMD

  Part of `GL_AMD_compressed_3DC_texture`

  See Also:
    Constant Field Values

### GL_ATC_RGB_AMD

    static final int GL_ATC_RGB_AMD

  Part of `GL_AMD_compressed_ATC_texture`

  See Also:
    Constant Field Values

### GL_ATC_RGBA_EXPLICIT_ALPHA_AMD

    static final int GL_ATC_RGBA_EXPLICIT_ALPHA_AMD

  Part of `GL_AMD_compressed_ATC_texture`

  See Also:
    Constant Field Values

### GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD

    static final int GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD

  Part of `GL_AMD_compressed_ATC_texture`

  See Also:
    Constant Field Values

Method Detail

### glAlphaFunc

    void glAlphaFunc(int func,
                     float ref)

  Interface to C language function:
  `void glAlphaFunc(GLenum func, GLclampf ref);`

### glClientActiveTexture

    void glClientActiveTexture(int texture)

  Interface to C language function:
  `void glClientActiveTexture(GLenum texture);`

### glColor4ub

    void glColor4ub(byte red,
                    byte green,
                    byte blue,
                    byte alpha)

  Interface to C language function:
  `void glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha);`

### glCurrentPaletteMatrix

    void glCurrentPaletteMatrix(int matrixpaletteindex)

  Entry point to C language function: `void glCurrentPaletteMatrixOES(GLuint matrixpaletteindex);`
  Part of `GL_OES_matrix_palette`

### glFogf

    void glFogf(int pname,
                float param)

  Interface to C language function:
  `void glFogf(GLenum pname, GLfloat param);`

### glFogfv

    void glFogfv(int pname,
                 FloatBuffer params)

  Interface to C language function:
  `void glFogfv(GLenum pname, const GLfloat * params);`

### glFogfv

    void glFogfv(int pname,
                 float[] params,
                 int params_offset)

  Interface to C language function:
  `void glFogfv(GLenum pname, const GLfloat * params);`

### glGetLightfv

    void glGetLightfv(int light,
                      int pname,
                      FloatBuffer params)

  Interface to C language function:
  `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`

### glGetLightfv

    void glGetLightfv(int light,
                      int pname,
                      float[] params,
                      int params_offset)

  Interface to C language function:
  `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params);`

### glGetMaterialfv

    void glGetMaterialfv(int face,
                         int pname,
                         FloatBuffer params)

  Interface to C language function:
  `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`

### glGetMaterialfv

    void glGetMaterialfv(int face,
                         int pname,
                         float[] params,
                         int params_offset)

  Interface to C language function:
  `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params);`

### glGetTexEnvfv

    void glGetTexEnvfv(int tenv,
                       int pname,
                       FloatBuffer params)

  Interface to C language function:
  `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`

### glGetTexEnvfv

    void glGetTexEnvfv(int tenv,
                       int pname,
                       float[] params,
                       int params_offset)

  Interface to C language function:
  `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params);`

### glGetTexEnviv

    void glGetTexEnviv(int tenv,
                       int pname,
                       IntBuffer params)

  Interface to C language function:
  `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`

### glGetTexEnviv

    void glGetTexEnviv(int tenv,
                       int pname,
                       int[] params,
                       int params_offset)

  Interface to C language function:
  `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params);`

### glGetTexGenfv

    void glGetTexGenfv(int coord,
                       int pname,
                       FloatBuffer params)

  Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glGetTexGenfv

    void glGetTexGenfv(int coord,
                       int pname,
                       float[] params,
                       int params_offset)

  Entry point to C language function: `void glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glGetTexGeniv

    void glGetTexGeniv(int coord,
                       int pname,
                       IntBuffer params)

  Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glGetTexGeniv

    void glGetTexGeniv(int coord,
                       int pname,
                       int[] params,
                       int params_offset)

  Entry point to C language function: `void glGetTexGenivOES(GLenum coord, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glLightModelf

    void glLightModelf(int pname,
                       float param)

  Interface to C language function:
  `void glLightModelf(GLenum pname, GLfloat param);`

### glLightModelfv

    void glLightModelfv(int pname,
                        FloatBuffer params)

  Interface to C language function:
  `void glLightModelfv(GLenum pname, const GLfloat * params);`

### glLightModelfv

    void glLightModelfv(int pname,
                        float[] params,
                        int params_offset)

  Interface to C language function:
  `void glLightModelfv(GLenum pname, const GLfloat * params);`

### glLightf

    void glLightf(int light,
                  int pname,
                  float param)

  Interface to C language function:
  `void glLightf(GLenum light, GLenum pname, GLfloat param);`

### glLogicOp

    void glLogicOp(int opcode)

  Interface to C language function:
  `void glLogicOp(GLenum opcode);`

### glMatrixIndexPointer

    void glMatrixIndexPointer(int size,
                              int type,
                              int stride,
                              Buffer pointer)

  Entry point to C language function: `void glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_OES_matrix_palette`

### glMultiTexCoord4f

    void glMultiTexCoord4f(int target,
                           float s,
                           float t,
                           float r,
                           float q)

  Interface to C language function:
  `void glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q);`

### glNormal3f

    void glNormal3f(float nx,
                    float ny,
                    float nz)

  Interface to C language function:
  `void glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz);`

### glPointParameterf

    void glPointParameterf(int pname,
                           float param)

  Interface to C language function:
  `void glPointParameterf(GLenum pname, GLfloat param);`

### glPointParameterfv

    void glPointParameterfv(int pname,
                            FloatBuffer params)

  Interface to C language function:
  `void glPointParameterfv(GLenum pname, const GLfloat * params);`

### glPointParameterfv

    void glPointParameterfv(int pname,
                            float[] params,
                            int params_offset)

  Interface to C language function:
  `void glPointParameterfv(GLenum pname, const GLfloat * params);`

### glPointSize

    void glPointSize(float size)

  Interface to C language function:
  `void glPointSize(GLfloat size);`

### glTexEnvf

    void glTexEnvf(int target,
                   int pname,
                   float param)

  Interface to C language function:
  `void glTexEnvf(GLenum target, GLenum pname, GLfloat param);`

### glTexEnvfv

    void glTexEnvfv(int target,
                    int pname,
                    FloatBuffer params)

  Interface to C language function:
  `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`

### glTexEnvfv

    void glTexEnvfv(int target,
                    int pname,
                    float[] params,
                    int params_offset)

  Interface to C language function:
  `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params);`

### glTexEnvi

    void glTexEnvi(int target,
                   int pname,
                   int param)

  Interface to C language function:
  `void glTexEnvi(GLenum target, GLenum pname, GLint param);`

### glTexEnviv

    void glTexEnviv(int target,
                    int pname,
                    IntBuffer params)

  Interface to C language function:
  `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`

### glTexEnviv

    void glTexEnviv(int target,
                    int pname,
                    int[] params,
                    int params_offset)

  Interface to C language function:
  `void glTexEnviv(GLenum target, GLenum pname, const GLint * params);`

### glTexGenf

    void glTexGenf(int coord,
                   int pname,
                   float param)

  Entry point to C language function: `void glTexGenfOES(GLenum coord, GLenum pname, GLfloat param);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glTexGenfv

    void glTexGenfv(int coord,
                    int pname,
                    FloatBuffer params)

  Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glTexGenfv

    void glTexGenfv(int coord,
                    int pname,
                    float[] params,
                    int params_offset)

  Entry point to C language function: `void glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glTexGeni

    void glTexGeni(int coord,
                   int pname,
                   int param)

  Entry point to C language function: `void glTexGeniOES(GLenum coord, GLenum pname, GLint param);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glTexGeniv

    void glTexGeniv(int coord,
                    int pname,
                    IntBuffer params)

  Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glTexGeniv

    void glTexGeniv(int coord,
                    int pname,
                    int[] params,
                    int params_offset)

  Entry point to C language function: `void glTexGenivOES(GLenum coord, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_1_0, GL_OES_texture_cube_map`

### glWeightPointer

    void glWeightPointer(int size,
                         int type,
                         int stride,
                         Buffer pointer)

  Entry point to C language function: `void glWeightPointerOES(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_OES_matrix_palette`

### glOrtho

    void glOrtho(double left,
                 double right,
                 double bottom,
                 double top,
                 double near_val,
                 double far_val)

### glFrustum

    void glFrustum(double left,
                   double right,
                   double bottom,
                   double top,
                   double zNear,
                   double zFar)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.